#!/bin/sh

INPUT="delegated-ripencc-latest"

do_country()
# $1=country $2=class $3=threshold
{
	./delegated_ilines.py -i $INPUT -o ilines.$1.$$ -y $2 -c $1
	[ ! -r ilines.$1.$$ ] && return -1
	[ `wc -l ilines.$1.$$ | awk '{ print $1 }'` -lt $3 ] && {
		echo "$1: File too short, less than $3 lines"
		return -2
	}
	mv ilines.$1.$$ ../include/ilines.$1.conf
	return 0
}


do_country ch 200 1000
do_country li 202 15
